Subject: bash shell question
From: [email-masked] (Michael Zawacki)

24 Nov 1997 08:27:57 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "[email-masked]'" <[email-masked]>

Hi all,

	I am trying to write a script that will take a list of executables and make links to them in a directory.  I'm doing this to keep my bash PATH var. small while enabling me to call most of my programs from the shell.  Anyways, I'm running into problems when the filename include a path with a space in it, such as "Program Files".  I tried putting quotes around the path but the script still screws up the statement.  One way around this is to use the 8 character length names.  Is there a way to force find and ls to output the small filenames? Or is there another way to get the script working?

Thanks,

Michael Zawacki

EXAMPLE FILE:

/lotus/smartctr/smartctr.exe
/lotus/smartctr/suitest.exe
/lotus/wordpro/wordpro.exe
/"Program Files"/cygnus/H-i386-cygwin32/bin/ar.exe
/"Program Files"/cygnus/H-i386-cygwin32/bin/as.exe

SCRIPT:

#!/usr/bin/bash.exe

exec 0<./execs.txt

while read filename
do
 echo $filename
 ln -s $filename
 
done
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".